Subject: 24.0.50; can't editing buffers while in another buffer i'm openning files

From: [email-masked]
Date: Tue, 11 Oct 2011 11:58:57 +0330

Hi,
1)run emacs --daemon
2)open two emacsclient on two seprate terminals
3)on first emacs: C-x C-f   (and I don't Enter any file address)
4)go to second terminal running emacsclient 
5)I can't edit that buffer while go back to the first terminal (that I entered C-x C-f)
and enter C-g

I don't know if it's a feature or is it a bug?!!
But I think I should be able to edit the buffer while C-x C-f is running in another terminal

In GNU Emacs 24.0.50.1 (i686-pc-linux-gnu, GTK+ Version 2.24.5)
 of 2011-09-26 on myhost
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
ESC [ > 0 ; 1 1 5 ; 0 c ESC [ > 0 ; 1 1 5 ; 0 c C-x 
C-f C-g <switch-frame> s d d s d s C-p C-p C-p ESC 
x C-g <switch-frame> ESC x r e ESC x ESC x C-g ESC 
x r e g DEL p o TAB r TAB RET

Recent messages:
("emacs")
Starting Emacs daemon.
When done with this frame, type C-x 5 0 [2 times]
Quit [2 times]
completing-read-default: Command attempted to use minibuffer while in minibuffer [2 times]
Quit [2 times]
Making completion list...

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr message format-spec rfc822 mml mml-sec
mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mailabbrev mail-utils gmm-utils mailheader
emacsbug help-mode easymenu view server time-date tooltip ediff-hook
vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image
fringe lisp-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer loaddefs button faces cus-face files text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty emacs)